﻿using UnityEngine;
using System.Collections;

public class GameOverBehaviour : MonoBehaviour {
	public MainGameControllerBehaviour MainController;
	public GUISkin FinalScoreSkin;

	private SpriteRenderer _sprite;

	// Variables for automatic closure of screen
	private float _timePassed = 0f;
	private static float _timeToShow = 5.0f;

	void Start() {
		_sprite = (SpriteRenderer)gameObject.GetComponent ("SpriteRenderer");
	}

	// Update is called once per frame
	public void UpdateGameOverScreen () {
		// Show screen on update
		if (!_sprite.enabled) {
			_sprite.enabled = true;
		}

		// Remove screen if timing is up
		if (_timePassed > _timeToShow) {
			_sprite.enabled = false;
			_timePassed = 0f;

			// Return to main menu
			MainController.PushGameState(MainGameControllerBehaviour.GameState.MainMenu);
		}

		_timePassed += Time.deltaTime;
	}

	/*
	 * Display gui elements (score)
	 */
	void OnGUI() {
		if (_sprite.enabled) {
			string scoreLabel = "Final Score: " + ScoreManagerBehaviour.Score.ToString();
			GUI.skin = FinalScoreSkin;
			Vector2 textBox = GUI.skin.GetStyle("Label").CalcSize(new GUIContent(scoreLabel));
			GUI.Label(new Rect(Screen.width/2-textBox.x/2, Screen.height/2-textBox.y/2 + 100f, textBox.x, textBox.y), scoreLabel);
		}
	}
}
