﻿using UnityEngine;
using System.Collections;

public class ScoreManagerBehaviour : MonoBehaviour {

	public GUISkin ScoreSkin;
	public MainGameControllerBehaviour MainController;
	
	private static int _playerScore = 0;

	/*
	 * Add points to player score
	 */
	public static void AddToScore(int points) {
		_playerScore += points;
	}

	/*
	 * Reset player score to zero
	 */
	public static void ResetScore() {
		_playerScore = 0;
	}

	/*
	 * Get current player score
	 */
	public static int Score {
		get { return _playerScore; }
	}

	/*
	 * Display GUI elements
	 */
	void OnGUI() {
		if(!(MainController.GetGameState() == MainGameControllerBehaviour.GameState.MainMenu)) {
			// Display score HUD when in game
			string labelText = "SCORE:\n" + _playerScore.ToString();
			GUI.skin = ScoreSkin;
			Vector2 labelSize = GUI.skin.GetStyle("Label").CalcSize(new GUIContent(labelText));
			GUI.Label(new Rect(Screen.width - labelSize.x - 5f, 10f, labelSize.x, labelSize.y), labelText);
		}
	}
}
